package cn.superdesk.uniorder.dao.mapper.invoice.customer.fundrestream;

import cn.superdesk.uniorder.dao.entity.invoice.customer.fundrestream.InvoiceBankStatementOff;
import cn.superdesk.uniorder.dao.entity.invoice.customer.fundrestream.InvoiceBankStatementOffExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceBankStatementOffMapper {
    long countByExample(InvoiceBankStatementOffExample example);

    int deleteByExample(InvoiceBankStatementOffExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceBankStatementOff record);

    int insertSelective(InvoiceBankStatementOff record);

    List<InvoiceBankStatementOff> selectByExample(InvoiceBankStatementOffExample example);

    InvoiceBankStatementOff selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceBankStatementOff record, @Param("example") InvoiceBankStatementOffExample example);

    int updateByExample(@Param("record") InvoiceBankStatementOff record, @Param("example") InvoiceBankStatementOffExample example);

    int updateByPrimaryKeySelective(InvoiceBankStatementOff record);

    int updateByPrimaryKey(InvoiceBankStatementOff record);
}